export const sizeLegend = (selection, props) => {
  const {
    sizeScale,
    spacing,
    textOffset,
    circleFill
  } = props;
  
  const ticks = sizeScale.ticks(5)
    .filter(d => d !== 0)

  const groups = selection.selectAll('g').data(ticks);
  const groupsEnter = groups
    .enter().append('g')
  groupsEnter
    .merge(groups)
      .attr('transform', (d, i) =>
        `translate(0, ${i * spacing})`
      );

  
  groupsEnter.append('circle')
    .merge(groups.select('circle'))
      .attr('r', sizeScale)
      .attr('fill', circleFill);
  
  groupsEnter.append('text')
    .merge(groups.select('text'))
      .text(d => d)
      .attr('dy', '0.32em')
  
}